Jump to content

failed to download file, 1.19 and 1.18


gabsssbag

Recommended Posts

Failed to download file.

Name: forge-43.2.0.jar

URL: https://piston-data.mojang.com/v1/obje49ba920c88b6950b654/client.jar

Error details: schannel: failed to receive handshake, SSL/TLS connection failed

Archive's name: forge-43.2.0.jar

Path: C:\Users\Gabri\curseforge\minecraft\Install\versions\forge-43.2.0\forge-43.2.0.jar

Exists: Nonexistent

 

i've translated some words from portuguese but as it contained almost nothing of relevance written in there iguess it's okay as it is. this error it's been happening on multiple instances for quite some time and i have just fixed it in my other modpack on the curseforge app by chosing which forge version to use. doing that made so forge was downloaded and when i clicked the play button on the launcher it downloaded some other stuff and worked just fine. 

 

another error it gives me is this one:

'Não foi possível localizar os arquivos do jogo.                                                                                     - says it couldn't locate game files

Detalhes do erro: 0x00000000 - system: A opera磯 foi conclu� com 긩to.                                      - it's bugged, but it translates to 'error details: the operation completed successfully', but i could be wrong as both the words 'operação' and 'êxito", which translates to 'operation' and 'successfuly', respectively, got screwed up probably because of the language.

Nome do arquivo no disco: forge-43.2.0.jar                                                                                          - translates to 'file name on disk'

Caminho: C:\Users\Gabri\curseforge\minecraft\Install\versions\forge-43.2.0\forge-43.2.0.jar        - translates to 'path'

Existe: Nonexistent'                                                                                                                                 - translates to 'exists'

 

it happened on multiple occasions and the error message it shows changes from time to time. besides the link that i cut up above another message also contained a link which downloaded a file named client when i pasted it on my browser. i tried putting it inside its respective folder to see whether it worked or not and it didn't.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



  • Recently Browsing

    • No registered users viewing this page.
  • Posts

    • Wow this looks a lot simpler than I thought it would be. Especially compared to the setup I had to do for capabilities. I'll look at all this and update if I have any issues ty
    • Me and a group of friends were trying to get a modpack to work so we can play together. It works for everyone else, except me. At first when I tried to import the modpack, it said "invalid file" but it didn't with anyone else's. The owner of the modpack resent it several times and I still kept getting the same issue, so I opened the modlist and downloaded every single mod by hand. I thought that it would resolve the issue, but instead, it started saying "Forge Modloader Installation Failed" after I created a new installation, so I tried to use a pre-existing modpack, made sure it was the same version "1.20.1, forge version 47.3.0" and swap the mods there, but it still had the same issue, and now none of my modpacks are working at all. They all keep saying that the modloader installation failed. None of us have any idea what to do as we aren't the techiest people. Any help is appreciated. Thank you!
    • I don't think there's any documentation on them yet, I mainly just looked at the Vanilla code when implementing mine. You can see a fairly simple example here: Registration: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/init/ModDataComponents.java#L50-L58 Item Registration: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/init/ModItems.java#L264-L266 Usage: https://github.com/Choonster-Minecraft-Mods/TestMod3/blob/f3bea10d5f455fa0904056caafd8c844b6fd13ae/src/main/java/choonster/testmod3/world/item/EntityCheckerItem.java
    • Okay, I'm glad I made a backup then. I'm confused as to where there is any information on how to work with Data Components. I don't see anything about it on the Forge docs or any tutorials on this in general unless I'm missing it somehow. I can see the DataComponents decompiled class file but I'm not sure how to work with it. Maybe it's beyond my technical expertise?
    • The situation is the same in 1.20.6. Data Components were introduced in 1.20.5/1.20.6 and Item Capabilities haven't been re-implemented since then.
  • Topics

  • Who's Online (See full list)

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.